
<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use or for redistribution by customer, as part of such an application, in customer's own products."

Product 5724-I63,  (C) COPYRIGHT International Business Machines Corp., 2004
All Rights Reserved * Licensed Materials - Property of IBM 
--> 

<%@ page language="java" import="com.ibm.websphere.samples.bank.web.PageBean,com.ibm.websphere.samples.bank.web.HistoryBean" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="/WEB-INF/tld/template.tld" prefix='tt' %>

<%
   PageBean pgBean =(request.getAttribute("PageBean")!=null?(PageBean)request.getAttribute("PageBean"):new PageBean());
   java.util.ArrayList errmsg = pgBean.getErrormessage();
   java.util.ArrayList msg = pgBean.getMessageLines();
   HistoryBean histBean =(session.getAttribute("HistoryBean")!=null?(HistoryBean)session.getAttribute("HistoryBean"):new HistoryBean());
   String[] histmsg = histBean.getMessages();
%>

<tt:template template='template.jsp'>
    <tt:content name='subtitle'>Transfer Funds</tt:content>
    <tt:content name='banner' file='banner.jsp'/>
    <tt:content name='sidemenu' file='sidemenu.jsp' />
    <tt:content name='content'>
	
    <form action="<%=request.getContextPath()%>/TransferFundsServlet" method="post" name="form" >
    <table width="100%" border="0" cellspacing="1" cellpadding="1" align="center">
       <hr color="darkblue">
       <tr align="center"><td>Messages</td></tr>
       <tr><td>
          <div style="overflow: auto; height: 50; border: 1px darkblue solid; padding:0px; margin: 0px">
  	         <table border="0" cellspacing="1" cellpadding="2" align="left">
                <!-- error messages -->  
           	    <% if (errmsg!=null && errmsg.size()>0) {
                    for (int i=0; i<errmsg.size(); i++){ %>
                           <div align="left" class="Warning"><%=(String)errmsg.get(i)%></div>
                <% }}%>
                <!-- messages -->
        	    <% if (msg!=null && msg.size()>0 && errmsg.size()==0){
                    for (int i=0; i<msg.size(); i++){%>
                           <div align="left" class="Messages"><%=(String)msg.get(i)%></div>
                <%}}%>
             </table>
          </div>
      </td></tr>
      <tr height="10"><td class="spacer">&nbsp;</td></tr>
      <tr align="center"><td>
      	    <table border="0" cellspacing="1" cellpadding="1" align="center">
			<tr height="30">
				<td class="listhead"  colspan="1" width="35%">From Account:</td>
				<td class="listitems" colspan="2" width="50%">
					<input type="text" name="fromAccount" value="" class="listitems" size="25" maxlength="25">
				</td>
			</tr>
			<tr height="30">
				<td class="listhead"  colspan="1" width="35%">To Account:</td>
				<td class="listitems" colspan="2" width="50%">
					<input type="text" name="toAccount" value="" class="listitems" size="25" maxlength="25">
				</td>
			</tr>
			<tr height="30">
				<td class="listhead"  colspan="1" width="35%">Amount:</td>
				<td class="listitems" colspan="2" width="50%">$&nbsp;
					<input type="text" name="amount" value="" class="listitems" size="25" maxlength="25">
				</td>
			</tr>
			<tr height="30">
				<td class="listhead"  colspan="1" width="35%" align="center">
					<input type="submit" name="transferFunds" value="Transfer" class="listitems">
				</td>
				<td class="listitems" colspan="2" width="50%">
					<input type="reset" name="reset" value="Reset" class="listitems">
				</td>
			</tr>
		    </table>
      </td></tr>
      <tr height="10"><td class="spacer">&nbsp;</td></tr>
      <tr align="center"><td>Transaction History</td></tr>
      <tr><td>
         <div style="overflow: auto; height: 50; border: 1px darkblue solid; padding:0px; margin: 0px">
            <table border="0" cellspacing="1" cellpadding="2" align="left">
            <!-- history messages -->  
           	<% if (histmsg!=null && histmsg.length>0) {
                	    for (int i=0; i<histmsg.length; i++){ %>
        			        <div align="left" class="Messages"><%=histmsg[i]%></div>
        	  <% }}%>
      	    </table>
         </div>
      </td></tr>
    </table>
    </form>
	</tt:content>
</tt:template>
